#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hookup
version:              0.8
visibility:           public
id:                   hookup-0.8-Ey0eKcVoU518Rm2wx0O1Ow
key:                  hookup-0.8-Ey0eKcVoU518Rm2wx0O1Ow
license:              ISC
copyright:            2016-2020 Eric Mertens
maintainer:           emertens@gmail.com
author:               Eric Mertens
homepage:             https://github.com/glguy/irc-core
synopsis:
    Abstraction over creating network connections with SOCKS5 and TLS

description:
    This package provides an abstraction for communicating with line-oriented
    network services while abstracting over the use of SOCKS5 and TLS (via OpenSSL)

category:             Network
abi:                  87607888d9c059a3cb5ccac578551fff
exposed:              True
exposed-modules:      Hookup Hookup.OpenSSL
hidden-modules:       Hookup.Socks5 Hookup.Concurrent
import-dirs:          /usr/lib/ghc-9.0.2/site-local/hookup-0.8
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hookup-0.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hookup
hs-libraries:         HShookup-0.8-Ey0eKcVoU518Rm2wx0O1Ow
depends:
    HsOpenSSL-0.11.7.6-HTl2Hdgh1sw5YXDR27vGo4
    HsOpenSSL-x509-system-0.1.0.4-IwsjNEqHXq79fpMfh6fIT8
    async-2.2.5-15OfoiZvWuqFJ47Bsyq43l
    attoparsec-0.14.4-4TYzWI7gKmZ2TJS0tW1u7Q base-4.15.1.0
    bytestring-0.10.12.1 network-3.1.4.0-9BhTQWlTEgzEJF9ToXEkqb
    stm-2.5.0.0

haddock-interfaces:   /usr/share/doc/haskell-hookup/html/hookup.haddock
haddock-html:         /usr/share/doc/haskell-hookup/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

